You are not logged in.

#1 2006-03-02 09:49:02

Insane-Boy
Member
Registered: 2006-02-27
Posts: 239

Kernel 2.4.x

I try to compile my own kernel from source.. i tryied with 2.4.30/1/2 but there is the same error on compile :
In file included from /usr/src/linux-2.4.32/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.32/include/linux/list.h:6,
                 from /usr/src/linux-2.4.32/include/linux/wait.h:14,
                 from /usr/src/linux-2.4.32/include/linux/fs.h:12,
                 from /usr/src/linux-2.4.32/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.32/include/linux/binfmts.h:5,
                 from /usr/src/linux-2.4.32/include/linux/sched.h:9,
                 from /usr/src/linux-2.4.32/include/linux/mm.h:4,
                 from /usr/src/linux-2.4.32/include/linux/slab.h:14,
                 from /usr/src/linux-2.4.32/include/linux/proc_fs.h:5,
                 from init/main.c:15:
/usr/src/linux-2.4.32/include/asm/processor.h:75: error: array type has incomplete element type
I've never seen errors like that..From where may come the problem?

Offline

#2 2006-03-02 11:40:44

brain0
Developer
From: Aachen - Germany
Registered: 2005-01-03
Posts: 1,382

Re: Kernel 2.4.x

You need gcc3 or gcc2 to compile Kernel 2.4.X, it is not compatible with gcc4.

Offline

#3 2006-03-03 09:05:41

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: Kernel 2.4.x

I wouldnt get into a habit with 2.4, support for it is being dropped in 8.0 afaik.

iphitus

Offline

Board footer

Powered by FluxBB